org.apache.ignite.internal.processors.query.stat

## Class ObjectStatisticsImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.query.stat.ObjectStatisticsImpl

All Implemented Interfaces:
  Cloneable, ObjectStatistics

Direct Known Subclasses:
  ObjectPartitionStatisticsImpl

    public class ObjectStatisticsImpl
    extends Object
    implements Cloneable, ObjectStatistics

All statistics by some object (table or index).

### Constructor Summary

Constructors
Constructor and Description
`ObjectStatisticsImpl(long rowsCnt, Map<String,ColumnStatistics> colNameToStat)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`ObjectStatisticsImpl` `clone()`
`Map<String,ColumnStatistics>` `columnsStatistics()`
`ColumnStatistics` `columnStatistics(String colName)` Get column statistics.
`boolean` `equals(Object o)`
`int` `hashCode()`
`long` `rowCount()`
`<T extends ObjectStatisticsImpl> T` `subtract(Set<String> cols)` Remove specified columns from clone of current ObjectStatistics object.
`String` `toString()`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObjectStatisticsImpl

    public ObjectStatisticsImpl(long rowsCnt,
                                Map<String,ColumnStatistics> colNameToStat)

Constructor.

Parameters:
  `rowsCnt` - Total rows count.
  `colNameToStat` - Column names to statistics map.

### Method Detail

#### rowCount

    public long rowCount()

Returns:
  Object rows count.

#### columnStatistics

    public ColumnStatistics columnStatistics(String colName)

Get column statistics.

Parameters:
  `colName` - Column name.
Returns:
  Column statistics or `null` if there are no statistics for specified column.

#### columnsStatistics

    public Map<String,ColumnStatistics> columnsStatistics()

Returns:
  Column statistics map.

#### clone

    public ObjectStatisticsImpl clone()

Overrides:
  `clone` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### subtract

    public <T extends ObjectStatisticsImpl> T subtract(Set<String> cols)

Remove specified columns from clone of current ObjectStatistics object.

Parameters:
  `cols` - Columns to remove.
Returns:
  Cloned object without specified columns statistics.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023